﻿function GetPluginSettings()
{
	return {
		"name": "TapsellSDKV3",
		"id": "TapsellSDKV3",
		"version": "1.0",
		"description":	"Tapsell Video Ads SDK for Construct 2",
		"author": "SinaRezaei/Pegahtech",
		"help url": "https://answers.tapsell.ir/?page_id=65",
		"category": "Tapsell Video Ads",
		"type": "object",
		"rotatable": false,
		"cordova-plugins": "https://github.com/hermamitr/TapsellSDK_v3_Construct2_Cordova",
		"flags": 0 | pf_singleglobal
	};
};

////////////////////////////////////////
// Conditions
AddStringParam("ZoneId", "Id of zone for which ad is available.");
AddCondition(0, cf_trigger, "onAdAvailable", "Tapsell Video Ads", "If video ad is available for zone {0}", "onAdAvailable", "onAdAvailable");

AddStringParam("ZoneId", "Id of zone for which ad is not available.");
AddCondition(1, cf_trigger, "onNoAdAvailable", "Tapsell Video Ads", "If video ad is not available for zone {0}", "onNoAdAvailable", "onNoAdAvailable");

AddStringParam("ZoneId", "Id of zone for which no network has returned.");
AddCondition(2, cf_trigger, "onNoNetwork", "Tapsell Video Ads", "No network connection, zone {0}", "onNoNetwork", "onNoNetwork");

AddStringParam("ZoneId", "Id of zone for which error has occured.");
AddCondition(3, cf_trigger, "onError", "Tapsell Video Ads", "If an error has occured during requesting ad for zone {0}", "onError", "onError");

AddStringParam("ZoneId", "Id of zone for which ad is expiring.");
AddCondition(4, cf_trigger, "onExpiring", "Tapsell Video Ads", "If the ad is expiring for zone {0}", "onExpiring", "onExpiring");

AddStringParam("ZoneId", "Id of zone for which ad was shown completely.");
AddCondition(5, cf_trigger, "onAdShowFinished", "Tapsell Video Ads", "If the ad has been shown successfully in zone {0}", "onAdShowFinished", "onAdShowFinished");

AddStringParam("ZoneId", "Id of zone for which ad show was canceled.");
AddCondition(6, cf_trigger, "onAdShowCanceled", "Tapsell Video Ads", "If the ad show been cancelled in zone {0}", "onAdShowCanceled", "onAdShowCanceled");

AddStringParam("ZoneId", "Id of zone for which ad is opened.");
AddCondition(7, cf_trigger, "onOpened", "Tapsell Video Ads", "If the ad is expiring for zone {0}", "onOpened", "onOpened");

AddStringParam("ZoneId", "Id of zone for which ad is closed.");
AddCondition(8, cf_trigger, "onClosed", "Tapsell Video Ads", "If the ad is expiring for zone {0}", "onClosed", "onClosed");

//AddCondition(0, cf_trigger, "اگر در دسترس نباشد", "تبلیغ ویدیویی", "اگر ویدیو تبلیغاتی در دسترس نباشد", "اگر در دسترس نباشد", "VonNotAvailable");
//AddCondition(1, cf_trigger, "اگر مشاهده/کلیک شد", "تبلیغ ویدیویی", "اگر ویدیو تبلیغاتی مشاهده و کلیک شد", "اگر مشاهده/کلیک شد", "onComplete");
//AddCondition(2, cf_trigger, "اگر مشاهده/کلیک نشد", "تبلیغ ویدیویی", "اگر ویدیو تبلیغاتی مشاهده و کلیک نشد", "اگر مشاهده/کلیک نشد", "onNotComplete");

//AddCondition(3, cf_trigger, "اگر در دسترس باشد", "بررسی تبلیغ", "اگر تبلیغ ویدیویی در دسترس باشد", "اگر در دسترس باشد", "onAvailable");
//AddCondition(4, cf_trigger, "اگر در دسترس نباشد", "بررسی تبلیغ", "اگر تبلیغ ویدیویی در دسترس نباشد", "اگر در دسترس نباشد", "onNotAvailable");
	
////////////////////////////////////////
// Actions

AddComboParamOption("Cached");
AddComboParamOption("Streamed (No caching)");
AddComboParam("Caching options", "Cache Type");
AddStringParam("ZoneId","Id of zone from tapsell dashboard")
AddAction(0, af_none, "requestAd", "Tapsell Video Ads", "Request an ad with type {0} for zone with id {1}", "request a video ad", "requestAd");

AddComboParamOption("Enabled");
AddComboParamOption("Disabled");
AddComboParam("Back Button", "If disabled, user cannot use back button to return back to app while the video is being played.");

AddComboParamOption("Enabled");
AddComboParamOption("Disabled");
AddComboParam("Immersive Mode", "Change to enabled if you want ads to be played in immersive mode in android 4.4 and above.");

AddComboParamOption("Locked Portrait");
AddComboParamOption("Locked Landscape");
AddComboParamOption("Unlocked");
AddComboParamOption("Locked Reversed Portrait");
AddComboParamOption("Locked Reversed Landscape");
AddComboParam("Rotation Mode", "Screen configuration during video playback.");

AddComboParamOption("Enabled");
AddComboParamOption("Disabled");
AddComboParam("Warning Dialog", "If enabled, shows a dialog to the user when he/she wants to use back button to return back to game while the video is being played.");

AddStringParam("ZoneId","Id of zone from tapsell dashboard")
AddAction(1, af_none, "showAd",  "Tapsell Video Ads", "Show an ad for zone with id {0}", "show a video ad", "showAd");

////////////////////////////////////////
// Expressions

//AddExpression(0, ef_return_number | ef_return_number, "دریافت جایزه", "تبلیغ ویدیویی", "VideoAward", "دریافت جایزه ویدیو");

//AddExpression(0, ef_return_number , "دریافت جایزه", "تبلیغ ویدیویی", "VideoAward", "دریافت جایزه ویدیو");
//AddExpression(0, ef_return_number | ef_variadic_parameters, "Mouse X position", "Cursor", "X", "Get the mouse cursor X co-ordinate in the layout.");
//AddExpression(1, ef_return_number | ef_variadic_parameters, "Mouse Y position", "Cursor", "Y", "Get the mouse cursor Y co-ordinate in the layout.");



////////////////////////////////////////
ACESDone();

////////////////////////////////////////
// Array of property grid properties for this plugin

var property_list = [
    new cr.Property(ept_text, "appkey", "", "")
];
	
// Called by IDE when a new object type is to be created
function CreateIDEObjectType()
{
	return new IDEObjectType();
}

// Class representing an object type in the IDE
function IDEObjectType()
{
	assert2(this instanceof arguments.callee, "Constructor called as a function");
}

// Called by IDE when a new object instance of this type is to be created
IDEObjectType.prototype.CreateInstance = function(instance)
{
	return new IDEInstance(instance);
}

// Class representing an individual instance of an object in the IDE
function IDEInstance(instance, type)
{
	assert2(this instanceof arguments.callee, "Constructor called as a function");
	
	// Save the constructor parameters
	this.instance = instance;
	this.type = type;
	
	// Set the default property values from the property table
	this.properties = {};
	
	for (var i = 0; i < property_list.length; i++)
		this.properties[property_list[i].name] = property_list[i].initial_value;
}

// Called when inserted via Insert Object Dialog for the first time
IDEInstance.prototype.OnInserted = function()
{
}

// Called when double clicked in layout
IDEInstance.prototype.OnDoubleClicked = function()
{
}

// Called after a property has been changed in the properties bar
IDEInstance.prototype.OnPropertyChanged = function(property_name)
{
}

// For rendered objects to load fonts or textures
IDEInstance.prototype.OnRendererInit = function(renderer)
{
}

// Called to draw self in the editor if a layout object
IDEInstance.prototype.Draw = function(renderer)
{
}

// For rendered objects to release fonts or textures
IDEInstance.prototype.OnRendererReleased = function(renderer)
{
}
